%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		gnome-recipes
Summary:	Recipe application for GNOME
Version:	2.0.2
Release:	%mkrel 5
License:	GPLv3+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Recipes
Source0:	https://download.gnome.org/sources/gnome-recipes/%{url_ver}/gnome-recipes-%{version}.tar.xz
BuildRequires:	xmllint
BuildRequires:	itstool
BuildRequires:  vala-devel
BuildRequires:	meson
BuildRequires:	locales
BuildRequires:	pkgconfig(gio-2.0) >= 2.42
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(gnome-autoar-0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Requires:	%{name}-data = %{version}-%{release}

%description
GNOME Recipes is an easy-to-use application that will help you to discover
what to cook for today, tomorrow, the rest of the week, and your special
occasions.

GNOME Recipes comes with a collection of recipes that have been collected
by GNOME contributors from all over the world. It also lets you store your
own recipes, and share them with your friends.

%package data
Summary:	Recipe application for GNOME (data files)
BuildArch:	noarch

%description data
GNOME Recipes is an easy-to-use application that will help you to discover
what to cook for today, tomorrow, the rest of the week, and your special
occasions.

GNOME Recipes comes with a collection of recipes that have been collected
by GNOME contributors from all over the world. It also lets you store your
own recipes, and share them with your friends.

This package contains architecture-independent data files.

%prep
%setup -q

%build
export LC_ALL=UTF-8
%meson
%meson_build

%install
export LC_ALL=UTF-8
%meson_install

%find_lang %{name} --all-name --with-gnome

%files
%doc README.md
%{_bindir}/gnome-recipes
%{_datadir}/appdata/org.gnome.Recipes.appdata.xml
%{_datadir}/applications/org.gnome.Recipes.desktop
%{_datadir}/dbus-1/services/org.gnome.Recipes.service
%{_datadir}/glib-2.0/schemas/org.gnome.Recipes.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Recipes-search-provider.ini
%{_datadir}/mime/packages/org.gnome.Recipes-mime.xml
%dir %{_datadir}/gnome-recipes/
%{_datadir}/gnome-recipes/*.db
%{_iconsdir}/hicolor/*/apps/org.gnome.Recipes*

%files data -f %{name}.lang
%{_datadir}/gnome-recipes/images/
%{_datadir}/gnome-recipes/sounds/


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 2.0.2-5.mga8
+ Revision: 1525453
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 2.0.2-4.mga7
+ Revision: 1392439
- Rebuild with meson 0.50.1

* Sun Sep 23 2018 umeabot <umeabot> 2.0.2-3.mga7
+ Revision: 1297974
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 tv <tv> 2.0.2-2.mga7
+ Revision: 1209218
- rebuild with latest gspell

* Sun Nov 12 2017 ovitters <ovitters> 2.0.2-1.mga7
+ Revision: 1177007
- new version 2.0.2

* Tue Oct 31 2017 wally <wally> 2.0.0-1.mga7
+ Revision: 1175262
- new version 2.0.0

* Tue Aug 22 2017 ovitters <ovitters> 1.6.2-1.mga7
+ Revision: 1142811
- new version 1.6.2

* Fri Aug 11 2017 pterjan <pterjan> 1.4.6-2.mga7
+ Revision: 1139786
- Fix for new find_lang

* Fri Jul 21 2017 wally <wally> 1.4.6-1.mga7
+ Revision: 1126377
- imported package gnome-recipes

